%define require_ibus_version 1.3.0

Name:       ibus-xkbc
Version:    1.3.3.20100922
Release:    11%{?dist}
Summary:    The XKBC engine for IBus input platform
License:    GPLv2
Group:      System Environment/Libraries
URL:        http://github.com/sun-im/ibus-xkbc/
Source0:    http://cloud.github.com/downloads/sun-im/ibus-xkbc/%{name}-%{version}.tar.gz
Patch0:     ibus-xkbc-fixes-python-version.patch
Patch1:     ibus-xkbc-fixes-autogen.patch

BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext-devel
BuildRequires:  libtool
BuildRequires:  python-devel
BuildRequires:  pkgconfig
BuildRequires:  rarian-compat
BuildRequires:  gettext-autopoint
BuildRequires:  glib2-devel

Requires:   ibus >= %{require_ibus_version}

%description
The XKBC engine for IBus platform. 
It provides keyboard layout emulation input method.

%prep
%setup -q
%patch0 -p1 -b .python
%patch1 -p1 -b .autogen

%build
sh autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/ibus-keyboard
%{_libexecdir}/*
%{_datadir}/ibus-xkbc
%{_datadir}/ibus/component/*

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3.20100922-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3.20100922-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3.20100922-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3.20100922-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3.20100922-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3.20100922-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3.20100922-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3.20100922-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3.20100922-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3.20100922-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Mar 03 2011  Peng Wu <pwu@redhat.com> - 1.3.3.20100922-1
- Update to version 1.3.3.20100922
  add patch ibus-xkbc-fixes-autogen.patch
  add BuildRequires glib2-devel

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3.20100804-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 18 2010  Peng Wu <pwu@redhat.com> - 1.3.3.20100804-2
- Update python deps to 2.7.

* Thu Aug 12 2010  Peng Wu <pwu@redhat.com> - 1.3.3.20100804-1
- Update to version 1.3.3.20100804.

* Thu Aug 12 2010  Peng Wu <pwu@redhat.com> - 1.2.0.20100115-5
- add BuildRequires gettext-autopoint.

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 1.2.0.20100115-4
- recompiling .py files against Python 2.7 (rhbz#623321)

* Wed Feb 04 2010 Peng Wu <pwu@redhat.com> - 1.2.0.20100115-3
- Correct home page url.

* Wed Feb 04 2010 Peng Wu <pwu@redhat.com> - 1.2.0.20100115-2
- Fixes koji build for F-13.

* Fri Oct 30 2009 Naoyuki Ishimura <naoyuki.ishimura@sun.com> - 0.1.0-1
- The first version.
